GET /v1/apiEndpoints/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APIEndpoints
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APIEndpoints.get_versions("1f61427a-4a64-4070-9ac8-1d29302dac7c")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ep_v1 = APIEndpoints.get_specific_version(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
"0.1"
)
print(f"Original description: {ep_v1.description}")
import static org.openmetadata.sdk.fluent.APIEndpoints.*;
// List all versions
var history = APIEndpoints.getVersions("1f61427a-4a64-4070-9ac8-1d29302dac7c");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APIEndpoints.getSpecificVersion(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiEndpoint",
"versions": [
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.2,\"description\":\"Updated: Add a new pet to the store inventory\",\"serviceType\":\"Rest\"}",
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.1,\"description\":\"add a new pet\",\"serviceType\":\"Rest\"}"
]
}
API Endpoint Versions
List and retrieve historical versions of an API endpoint
GET
/
v1
/
apiEndpoints
/
{id}
/
versions
GET /v1/apiEndpoints/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APIEndpoints
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APIEndpoints.get_versions("1f61427a-4a64-4070-9ac8-1d29302dac7c")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ep_v1 = APIEndpoints.get_specific_version(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
"0.1"
)
print(f"Original description: {ep_v1.description}")
import static org.openmetadata.sdk.fluent.APIEndpoints.*;
// List all versions
var history = APIEndpoints.getVersions("1f61427a-4a64-4070-9ac8-1d29302dac7c");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APIEndpoints.getSpecificVersion(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiEndpoint",
"versions": [
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.2,\"description\":\"Updated: Add a new pet to the store inventory\",\"serviceType\":\"Rest\"}",
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.1,\"description\":\"add a new pet\",\"serviceType\":\"Rest\"}"
]
}
API Endpoint Versions
Every change to an API endpoint entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the API endpoint.
Get Specific Version
UseGET /v1/apiEndpoints/{id}/versions/{version} to retrieve a specific version.
UUID of the API endpoint.
Version number to retrieve (e.g.,
0.2).GET /v1/apiEndpoints/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APIEndpoints
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APIEndpoints.get_versions("1f61427a-4a64-4070-9ac8-1d29302dac7c")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ep_v1 = APIEndpoints.get_specific_version(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
"0.1"
)
print(f"Original description: {ep_v1.description}")
import static org.openmetadata.sdk.fluent.APIEndpoints.*;
// List all versions
var history = APIEndpoints.getVersions("1f61427a-4a64-4070-9ac8-1d29302dac7c");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APIEndpoints.getSpecificVersion(
"1f61427a-4a64-4070-9ac8-1d29302dac7c",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiEndpoints/1f61427a-4a64-4070-9ac8-1d29302dac7c/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiEndpoint",
"versions": [
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.2,\"description\":\"Updated: Add a new pet to the store inventory\",\"serviceType\":\"Rest\"}",
"{\"id\":\"1f61427a-4a64-4070-9ac8-1d29302dac7c\",\"name\":\"addPet\",\"fullyQualifiedName\":\"sample_api_service.pet.addPet\",\"version\":0.1,\"description\":\"add a new pet\",\"serviceType\":\"Rest\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full API endpoint object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | API endpoint or version does not exist |
Was this page helpful?
⌘I